From e8dfbd6783f29dfca5fdb11a62787c7b487e0641 Mon Sep 17 00:00:00 2001
From: David Malcolm <dmalcolm@redhat.com>
Date: Tue, 30 Jul 2019 15:42:01 -0400
Subject: [PATCH 43/96] FIXME: WIP on ICE in zlib

---
 gcc/analyzer/impl-4.cc                             |    2 +
 .../NOT_FOR_UPSTREAM-zlib-1.1.3-inftrees.c         | 3409 ++++++++++++++++++++
 gcc/testsuite/gcc.dg/analyzer/malloc-paths-10.c    |   19 +
 gcc/testsuite/gcc.dg/analyzer/zlib-3.c             | 3343 +------------------
 gcc/testsuite/gcc.dg/analyzer/zlib-4.c             |   20 +
 5 files changed, 3526 insertions(+), 3267 deletions(-)
 create mode 100644 gcc/testsuite/gcc.dg/analyzer/NOT_FOR_UPSTREAM-zlib-1.1.3-inftrees.c
 create mode 100644 gcc/testsuite/gcc.dg/analyzer/malloc-paths-10.c
 create mode 100644 gcc/testsuite/gcc.dg/analyzer/zlib-4.c

diff --git a/gcc/analyzer/impl-4.cc b/gcc/analyzer/impl-4.cc
index eba413c..d660664 100644
--- a/gcc/analyzer/impl-4.cc
+++ b/gcc/analyzer/impl-4.cc
@@ -5978,9 +5978,11 @@ exploded_graph::get_or_create_node (const program_point &point,
 	    gcc_assert (existing_enode->get_point () == point);
 	    const program_state &existing_state = existing_enode->get_state ();
 
+#if 0
 	    /* They shouldn't be equal, or we would have found and returned
 	       it above.  */
 	    gcc_assert (pruned_state != existing_state);
+#endif
 
 	    // FIXME: this is successively merging within the loop
 
